import { pogo } from "../deps.ts";
import { database } from "../utils/index.ts"
import routes from "./routes.generated.ts"

const env = {
    port: Number(Deno.env.get("POGO_PORT")) || 3000,
}

const server = pogo.server({
    port: env.port
})

server.router.get('/', async () => {
    return `${JSON.stringify(await database.from("void_socials"))}`;
});

routes.forEach(route => {
    server.route({ method: route.method, handler: route.handler, path: route.route })
})





await server.start()
console.log(`Dreamland online on Port ${env.port}`)

